Subject: Ticket Assigned - My Account
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 07 Mar 2023 04:42:23 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I did my shoping today . But I was charged twice . First time the order dint get through was failed but the money is debited. From the account 
Dear SATHYASHREE, thank you for using your Debit card 6960 for BHD 25.580 at LANDMARK ONLINE L  AE-489673 on 06/03 @21:51. Avail Bal BHD  ****. Tel 17515151

Dear SATHYASHREE, thank you for using your Debit card 6960 for BHD 25.680 at LANDMARK ONLINE L  AE-489727 on 06/03 @21:51. Avail Bal BHD   ****. Tel 17515151

Sorry, your payment didn't go through. Please try again at https://splashgcc.app.link/TKcEOOrdXxb. Please contact your bank if any amount has been debited.
This is the message I received. 

Please check and update this is my order details

Thank you for your order. Order 7817889614 for Solid Skinny Fit Jeggings with... +3more items for BHD  25.68 is confirmed. Expect delivery by 07-03-2023. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5802629